package com.zanxiang.game.platform.serve.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.game.platform.serve.dao.mapper.PlatformDeYangOrderMapper;
import com.zanxiang.game.platform.serve.pojo.dto.PlatformDeYangOrderDTO;
import com.zanxiang.game.platform.serve.pojo.entity.PlatformDeYangOrder;
import com.zanxiang.game.platform.serve.service.IPlatformDeYangOrderService;
import com.zanxiang.module.util.bean.BeanUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author : lingfeng
 * @time : 2023-05-22
 * @description : 德扬订单
 */
@Slf4j
@Service
public class PlatformDeYangOrderServiceImpl extends ServiceImpl<PlatformDeYangOrderMapper, PlatformDeYangOrder> implements IPlatformDeYangOrderService {

    @Override
    public Boolean addOrUpdate(PlatformDeYangOrderDTO orderDTO) {
        return super.saveOrUpdate(BeanUtil.copy(orderDTO, PlatformDeYangOrder.class));
    }
}
